
# trace to windows debug stream ( ::OutputDebugString )
class TraceDebug
  @@instance = TraceDebug.new			# find out how to define static method
                                        # in extension to avoid this...

  # redefined in extension
  def internalPrint( text )
    puts text
  end

  def TraceDebug.print( text )
    @@instance.internalPrint( text )
  end

  def TraceDebug.puts( line )
    TraceDebug.print( line + "\n" )
  end
end